#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Exception
%define		pnam	Class
Summary:	Exception::Class - declare real exception classes in Perl
Summary(pl.UTF-8):	Exception::Class - deklarowanie prawdziwych klas wyjątków w Perlu
Name:		perl-Exception-Class
Version:	1.44
Release:	1
License:	Artistic 2.0
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Exception/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6b5bb8e4ad2b1f6120fc1d33ae45e91b
URL:		http://search.cpan.org/dist/Exception-Class/
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.31
BuildRequires:	perl-devel >= 1:5.8.1
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Class-Data-Inheritable >= 0.02
BuildRequires:	perl-Devel-StackTrace >= 2.00
BuildRequires:	perl-Test-Simple >= 0.96
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	perl($isa)

%description
Exception::Class allows you to declare exceptions in your modules
in a manner similar to how exceptions are declared in Java.

%description -l pl.UTF-8
Exception::Class pozwala na deklarowanie w modułach wyjątków
w sposób podobny do stosowanego w Javie.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes LICENSE
%dir %{perl_vendorlib}/Exception
%{perl_vendorlib}/Exception/Class.pm
%{perl_vendorlib}/Exception/Class
%{_mandir}/man3/Exception::Class*.3pm*
%changelog
* Sat Apr 07 2018 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Exception-Class.git;a=log;h=master

* Thu Mar 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 2d497c5
- up to 1.44

* Wed Sep 20 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 6fd9c0f
- up to 1.43

* Wed Nov 16 2016 Jakub Bogusz <qboosh@pld-linux.org> 0a723ab
- updated to 1.40

* Wed Mar 04 2015 Jakub Bogusz <qboosh@pld-linux.org> f4c93aa
- updated minimal perl version

* Sat Feb 28 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 63d50b3
- up to 1.39

* Thu Mar 28 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> f10404e
- up to 1.37

* Wed Feb 23 2011 Jakub Bogusz <qboosh@pld-linux.org> 075eeef
- noautoreq perl($isa)

* Wed Feb 23 2011 Jakub Bogusz <qboosh@pld-linux.org> 30c84d1
- updated BRs

* Wed Feb 23 2011 Jakub Bogusz <qboosh@pld-linux.org> e25941e
- updated to 1.32

* Mon Jun 22 2009 amateja <amateja@pld-linux.org> 860a922
- updated to 1.29

* Mon Dec 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 408c6a3
- up to 1.26

* Sat Sep 20 2008 radek <radek@pld-linux.org> 2f4bfa6
- release 3: rebuild with fixed rpm perl.req

* Tue Sep 09 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> d921188
- release 2

* Wed Apr 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 508d760
- up to 1.24

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> cfea646
- generic URL

* Tue Sep 11 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> adead64
- up to 1.23

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 8f9cfdc
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 56cff22
- converted to UTF-8

* Mon Jan 03 2005 Adam Gołębiowski <adamg@pld-linux.org> 77283d6
- updated to 1.20

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 6cacb57
- formatting

